loci.formats.in

## Class ZeissTIFFHandler.Scaling

- java.lang.Object
- - loci.formats.in.ZeissTIFFHandler.Scaling

- Enclosing class:
    ZeissTIFFHandler

      class ZeissTIFFHandler.Scaling
      extends java.lang.Object

  Scaling metadata.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `ZeissTIFFHandler.Scaling.Dimension` Scaling information for a single dimension.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) java.lang.Integer` | `category`
    `(package private) java.util.Map<java.lang.Integer,ZeissTIFFHandler.Scaling.Dimension>` | `dims`
    `(package private) java.lang.String` | `key`
    `(package private) java.util.Map<java.lang.Integer,java.lang.Double>` | `matrix`
    `(package private) ZeissTIFFHandler.TagSet` | `tagset`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Scaling()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) ZeissTIFFHandler.Scaling.Dimension` | `getDimension(java.lang.String key)` Get a dimension by its index.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### key

          java.lang.String key

    - #### category

          java.lang.Integer category

    - #### dims

          java.util.Map<java.lang.Integer,ZeissTIFFHandler.Scaling.Dimension> dims

    - #### matrix

          java.util.Map<java.lang.Integer,java.lang.Double> matrix

    - #### tagset

          ZeissTIFFHandler.TagSet tagset

  - ### Constructor Detail

    - #### Scaling

          Scaling()

  - ### Method Detail

    - #### getDimension

          ZeissTIFFHandler.Scaling.Dimension getDimension(java.lang.String key)

      Get a dimension by its index. If the dimension does not yet exist, a new one will be created.
      Parameters:
        `key` - An XML element name. The index number will be parsed from this name.
      Returns:
        A Dimension object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2026 Open Microscopy Environment